netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
asev_data Struct Reference

atalk socket event data More...

`#include <util.h>`

## Data Fields
enum asev_fdtype | fdtype
void * | private
int | protocol

## Detailed Description

atalk socket event data

## Field Documentation

## ◆ fdtype

enum asev_fdtype asev_data::fdtype

IPC fd or listening socket fd

## ◆ private

void* asev_data::private

pointer to AFPconfig for listening socket and pointer to afp_child_t for IPC fd

## ◆ protocol

int asev_data::protocol

protocol type ASP or DSI

The documentation for this struct was generated from the following file:

- include/atalk/util.h